import Vue from 'vue'
import App from './App.vue'
import VueRouter from 'vue-router'
import index from "./pages/index.vue"
import list from "./pages/list.vue"
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
import axios from "axios"
Vue.use(ElementUI);
Vue.prototype.axios = axios
// vue 使用这个插件
Vue.use(VueRouter)

const router = new VueRouter({
  routes: [{
    path:"/index",
    component:index,
    children:[{
      path:"table",
      component: () => import("./pages/table.vue")
    },{
      path:"list",
      component: list
    }]
  },{
    path:"/list",
    name:"list",
    component:list
  },{
    path:"/login",
    component: ()=> import("./pages/login.vue")
  },{
    path:"*",
    component: ()=> import("./pages/404.vue")
  }]
})


Vue.config.productionTip = false

new Vue({
  render: h => h(App),
  router:router
}).$mount('#app')
